diff options
author | Andrew Robbins <contact@andrewrobbins.info> | 2019-02-22 00:47:19 -0500 |
---|---|---|
committer | Andrew Robbins <contact@andrewrobbins.info> | 2019-02-22 00:47:19 -0500 |
commit | b552224354ba44e7a615e80b1f1173b015bbc832 (patch) | |
tree | 2535f96870343234823a475171e9edfba5a76d21 | |
parent | f27fed3d49d09aa1dc0e2acd462fba48e6adbbe2 (diff) | |
download | librebootfr-b552224354ba44e7a615e80b1f1173b015bbc832.tar.gz librebootfr-b552224354ba44e7a615e80b1f1173b015bbc832.zip |
Don't output header/footer to stderr unless necessary
-rwxr-xr-x | libs/project | 5 | ||||
-rwxr-xr-x | libs/tool | 6 |
2 files changed, 7 insertions, 4 deletions
diff --git a/libs/project b/libs/project index a073beef..fc7ee232 100755 --- a/libs/project +++ b/libs/project @@ -152,12 +152,13 @@ project_action() { project_action_check "$action" "$project" "$@" - printf 1>&2 '%s\n' "Project $project $action (with ${arguments:-no argument})" + printf '%s\n' "Project $project $action (with ${arguments:-no argument})" if "$action" "$@"; then - printf 1>&2 '\n%s\n' "Project $project $action (with ${arguments:-no argument}) completed" + printf '\n%s\n' "Project $project $action (with ${arguments:-no argument}) completed" else printf 1>&2 '\n%s\n' "Project $project $action (with ${arguments:-no argument}) failed" + return 1 fi ) @@ -97,19 +97,21 @@ tool_action() { return 0 fi - printf 1>&2 '%s\n' "Tool $tool $action (with ${arguments:-no argument})" + printf '%s\n' "Tool $tool $action (with ${arguments:-no argument})" ( set -e + "$action" "$@" ) if [[ $? -ne 0 ]] then printf 1>&2 '\n%s\n' "Tool $tool $action (with ${arguments:-no argument}) failed" + return 1 else - printf 1>&2 '\n%s\n' "Tool $tool $action (with ${arguments:-no argument}) completed" + printf '\n%s\n' "Tool $tool $action (with ${arguments:-no argument}) completed" fi ) } |